Package org.gitana.platform.client.billing

# Interface BillingProviderConfiguration

All Superinterfaces:
  `AccessControllable`, `Copyable`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDocument`, `Referenceable`, `Selfable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `BillingProviderConfigurationImpl`

public interface BillingProviderConfiguration extends PlatformDocument, AccessControllable, Selfable

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_KEY`
`static final String`
`FIELD_PROVIDER_ID`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getKey()`
`String`
`getProviderId()`
`void`
`setKey(String key)`
`void`
`setProviderId(String providerId)`

### Methods inherited from interface org.gitana.platform.client.support.AccessControllable

`getACL, getACL, getAuthorityGrants, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, revoke, revoke, revokeAll, revokeAll`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### FIELD_KEY

static final String FIELD_KEY

See Also:
  - Constant Field Values

### FIELD_PROVIDER_ID

static final String FIELD_PROVIDER_ID

See Also:
  - Constant Field Values

## Method Details

### getKey

String getKey()

### setKey

void setKey(String key)

### getProviderId

String getProviderId()

### setProviderId

void setProviderId(String providerId)